Skip to content

DealerStatement⁠

Perform various operations for Symitar parameters.

Operations⁠

getDealerStatementSelectFields⁠

POST

Execute the persistent ParameterService getDealerStatementSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getDealerStatementSelectFields
POST /nexum/627/persistent/parameter/getDealerStatementSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllDealerStatementFields": true,
    "DealerStatementFields": {
      "Adjustments": true,
      "ChargebackAmount": true,
      "ClosedDealerMessage1": [
        0
      ],
      "ClosedDealerMessage2": [
        0
      ],
      "DealerDormant": true,
      "Fees": true,
      "Format": true,
      "HoldbackAmount": true,
      "InquiryLine": true,
      "InstitutionAddressLine": [
        0
      ],
      "MessageLine1": [
        0
      ],
      "MessageLine2": [
        0
      ],
      "NegativeSignOption": true,
      "NumberoftimesGenerated": true,
      "PrintDatesinHeader": true,
      "PrintTransactionDates": true,
      "PrintTransactionDetail": true,
      "SeparateClosedDealer": true,
      "StatementCutoffDate": true,
      "StatementDates": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateDealerStatementByID⁠

POST

Execute the persistent ParameterService updateDealerStatementByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateDealerStatementByID
POST /nexum/627/persistent/parameter/updateDealerStatementByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "DealerStatementFields": {
    "Adjustments": "string",
    "ChargebackAmount": "string",
    "ClosedDealerMessage1": [
      {
        "EntryId": 0,
        "ClosedDealerMessage1": "string"
      }
    ],
    "ClosedDealerMessage2": [
      {
        "EntryId": 0,
        "ClosedDealerMessage2": "string"
      }
    ],
    "DealerDormant": 0,
    "Fees": "string",
    "Format": 0,
    "HoldbackAmount": "string",
    "InquiryLine": "string",
    "InstitutionAddressLine": [
      {
        "EntryId": 0,
        "InstitutionAddressLine": "string"
      }
    ],
    "MessageLine1": [
      {
        "EntryId": 0,
        "MessageLine1": "string"
      }
    ],
    "MessageLine2": [
      {
        "EntryId": 0,
        "MessageLine2": "string"
      }
    ],
    "NegativeSignOption": 0,
    "NumberoftimesGenerated": 0,
    "PrintDatesinHeader": true,
    "PrintTransactionDates": true,
    "PrintTransactionDetail": true,
    "SeparateClosedDealer": true,
    "StatementCutoffDate": "string",
    "StatementDates": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}